Skip to content

Loading…

bump ruby_core_source dependency #86

Merged
merged 1 commit into from

2 participants

@tessi

We need this to support the latest ruby patchlevels, which were introduced here:
http://www.ruby-lang.org/en/news/2013/06/27/hostname-check-bypassing-vulnerability-in-openssl-client-cve-2013-4073/

@tessi

It turned out that this is not neccesary for the new patchlevel rubies (the ruby_core_source dependency should update itself to v1.2.3 - the dependency bug I experienced seemed to be a Travis-only thing).

But it does not hurt either to depend on the latest source.

@cldwalker cldwalker merged commit 36bacbe into cldwalker:master

1 check passed

Details default The Travis CI build passed
@tessi tessi deleted the unknown repository branch
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Jul 2, 2013
  1. @tessi

    bump ruby_core_source dep

    tessi committed
This page is out of date. Refresh to see the latest.
Showing with 1 addition and 1 deletion.
  1. +1 −1 debugger.gemspec
View
2 debugger.gemspec
@@ -20,7 +20,7 @@ handling, bindings for stack frames among other things.
s.extensions << "ext/ruby_debug/extconf.rb"
s.executables = ["rdebug"]
s.add_dependency "columnize", ">= 0.3.1"
- s.add_dependency "debugger-ruby_core_source", '~> 1.2.1'
+ s.add_dependency "debugger-ruby_core_source", '~> 1.2.3'
s.add_dependency "debugger-linecache", '~> 1.2.0'
s.add_development_dependency 'rake', '~> 0.9.2.2'
s.add_development_dependency 'rake-compiler', '~> 0.8.0'
Something went wrong with that request. Please try again.